"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MockEvent {
    constructor(typeArg, eventInitDict) {
        this.type = typeArg;
        Object.assign(this, eventInitDict);
    }
    initEvent(eventTypeArg, canBubbleArg, cancelableArg) {
        this.type = eventTypeArg;
        this.bubbles = canBubbleArg;
        this.cancelable = cancelableArg;
    }
    preventDefault() {
        this.defaultPrevented = true;
    }
    stopImmediatePropagation() {
        // TODO: not implemented
    }
    stopPropagation() {
        // TODO: not implemented
    }
    deepPath() {
        // TODO: not implemented
        return [];
    }
}
exports.default = MockEvent;
//# sourceMappingURL=MockEvent.js.map