"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MockEvent_1 = require("./MockEvent");
class MockProgressEvent extends MockEvent_1.default {
    constructor(typeArg, eventInitDict) {
        super(typeArg, eventInitDict);
        Object.assign(this, eventInitDict);
    }
    initProgressEvent(typeArg, canBubbleArg, cancelableArg, lengthComputableArg, loadedArg, totalArg) {
        this.type = typeArg;
        this.bubbles = canBubbleArg;
        this.cancelable = cancelableArg;
        this.lengthComputable = lengthComputableArg;
        this.loaded = loadedArg;
        this.total = totalArg;
    }
}
exports.default = MockProgressEvent;
//# sourceMappingURL=MockProgressEvent.js.map