import * as ee from "event-emitter";
export default class MockXMLHttpRequestUpload {
    constructor() {
        this.emitter = ee({});
    }
    dispatchEvent(evt) {
        this.emitter.emit(evt.type, evt);
        return false;
    }
    addEventListener(type, listener, useCapture) {
        this.emitter.on(type, listener);
    }
    removeEventListener(type, listener, options) {
        this.emitter.off(type, listener);
    }
}
//# sourceMappingURL=MockXMLHttpRequestUpload.js.map