"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ee = require("event-emitter");
class MockXMLHttpRequestUpload {
    constructor() {
        this.emitter = ee({});
    }
    dispatchEvent(evt) {
        this.emitter.emit(evt.type, evt);
        return false;
    }
    addEventListener(type, listener, useCapture) {
        this.emitter.on(type, listener);
    }
    removeEventListener(type, listener, options) {
        this.emitter.off(type, listener);
    }
}
exports.default = MockXMLHttpRequestUpload;
//# sourceMappingURL=MockXMLHttpRequestUpload.js.map